const axios = require('axios');
const args = require('yargs')
    .demandOption(['clientId', 'clientSecret', 'domain', 'resource'])
    .argv;

axios.defaults.baseURL = `https://${args.domain}`;

axios.post("/oauth/token", {
    "grant_type":"client_credentials",
    "client_id": args.clientId,
    "client_secret": args.clientSecret,
    "audience": `https://${args.domain}/api/v2/`
}).then(({data: {access_token: accessToken}}) => {
    axios.defaults.headers.common['Authorization'] = `Bearer ${accessToken}`;

    axios.get(`api/v2/${args.resource}`).then(({data}) => console.log(data), err => console.log(err));
}, err => console.log(`Failed to retrieve oath token for domain: ${args.domain} with clientId: ${args.clientId}. Script exiting. No work done.`.red, err));