const _ = require('lodash');
const axios = require('axios');

const TABLE_PATTERN = /\|\s`\w+`\s\|\s[\S+\s]+\|\s[\S+\s]*\|/;
const SOURCE_URL = "https://raw.githubusercontent.com/auth0/docs/master/articles/logs/index.md";

const reducePage = (dict, dataLine) => {
    if (TABLE_PATTERN.test(dataLine)) {
        const tokens = dataLine.trim().split('|');
        const code = tokens[1].trim().replace(/`/g, '');
        if (!dict[code]) {
            dict[code] = tokens[2].trim();
        }
    }
    return dict;
};

const buildEventMapper = async () => axios.get(SOURCE_URL)
    .then(res => res.data)
    .then(pageData => pageData.split('\n'))
    .then(pageLines => _.reduce(pageLines, (dict, dataLine) => reducePage(dict, dataLine), {}));

module.exports = { buildEventMapper };
