const AWS = require('aws-sdk');
const uuidv4 = require('uuid/v4');

AWS.config.update({ region: 'us-east-1' });
AWS.config.setPromisesDependency(null);
const kinesis = new AWS.Kinesis();

exports.sendToKinesisLogStream = ({ data, key = uuidv4() }) => {
    const params = {
        Data: JSON.stringify(data),
        PartitionKey: key,
        StreamName: process.env.kinesisLogStream
    };

    return kinesis.putRecord(params).promise();
};
