const log4js = require('log4js');
const log4jsConfig = require("./config/log4js");
const { chargingNamespace } = require("./middleware/continuationLocalStorage");

function configureLayoutWithToken() {
    const configFileContent = log4jsConfig;
    Object.keys(configFileContent.appenders).forEach(appenderType => {
        const { layout } = configFileContent.appenders[appenderType];
        if (layout) {
            const { pattern } = layout;
            if (pattern) {
                layout.tokens = {
                    requestId: () => chargingNamespace.get('requestId') || 'system'
                };
            }
        }
    });
    log4js.configure(configFileContent);
}

configureLayoutWithToken();

function getLogger(category = "default") {
    return log4js.getLogger(category);
}

exports.getLogger = getLogger;
