const uuidv4 = require('uuid/v4');
const { createNamespace } = require('cls-hooked');

const chargingNamespace = createNamespace("charging");

function continuationLocalStorageMiddleware(req, res, next) {
    const requestId = `${uuidv4()}`;

    res.append('requestId', requestId);

    chargingNamespace.bindEmitter(req);
    chargingNamespace.bindEmitter(res);

    chargingNamespace.run(() => {
        chargingNamespace.set('requestId', requestId);
        next();
    });
}

exports.continuationLocalStorageMiddleware = continuationLocalStorageMiddleware;
exports.chargingNamespace = chargingNamespace;
