const Joi = require("joi");

const accumulatedChargePerAccountSchema = () => {
    const resourcesSchema = Joi.object().keys({
        resourceId: Joi.string().required(),
        val: Joi.number().required()
    }).length(2);
    return Joi.array().items(Joi.object().keys({
        mergedId: Joi.string().required(),
        customerIdentifier: Joi.string().required(),
        subscriptionId: Joi.string().required(),
        accountId: Joi.string().required(),
        resources: Joi.array().items(resourcesSchema).required(),
        totalVal: Joi.number().required(),
        dimension: Joi.string().required(),
        timestamp: Joi.date().iso().required(),
        productCode: Joi.string().required(),
        cloudProvider: Joi.string().required(),
        serviceName: Joi.string().required()
    }).length(11));
};

module.exports = accumulatedChargePerAccountSchema();
