const Joi = require("joi");

const hourlyChargeSchema = () => {
    const resourcesSchema = Joi.object().keys({
        resourceId: Joi.string().required(),
        val: Joi.number().required()
    }).length(2);
    const accountSchema = Joi.object().keys({
        accountId: Joi.string().required(),
        resources: Joi.array().items(resourcesSchema).required()
    });
    return Joi.array().items(Joi.object().keys({
        subscriptionId: Joi.string().required(),
        dimension: Joi.string().required(),
        timestamp: Joi.date().iso().required(),
        accounts: Joi.array().items(accountSchema).required()
    }).length(4));
};

module.exports = hourlyChargeSchema();
