const Joi = require("joi");

const reportedHourlyChargeSchema = () => {
    const resourcesSchema = Joi.object().keys({
        resourceId: Joi.string().required(),
        val: Joi.number().required()
    }).length(2);
    const accountSchema = Joi.object().keys({
        accountId: Joi.string().required(),
        resources: Joi.array().items(resourcesSchema).required(),
        totalVal: Joi.number().required()
    }).length(3);
    return Joi.array().items(Joi.object().keys({
        mergedId: Joi.string().required(),
        subscriptionId: Joi.string().required(),
        dimension: Joi.string().required(),
        timestamp: Joi.date().iso().required(),
        customerIdentifier: Joi.string().required(),
        accounts: Joi.array().items(accountSchema).required(),
        accumulatedVal: Joi.number().required(),
        productCode: Joi.string().required(),
        cloudProvider: Joi.string().required(),
        serviceName: Joi.string().required(),
        subscriptionStatus: Joi.string().required(),
        error: Joi.string()
    }));
};

module.exports = reportedHourlyChargeSchema();
