const Joi = require("joi");

const usagesPerProductSchema = () => {
    const usageSchema = Joi.object().keys({
        CustomerIdentifier: Joi.string().required(),
        Dimension: Joi.string().required(),
        Quantity: Joi.number().required(),
        Timestamp: Joi.date().iso().required()
    }).length(4);
    const productUsagesSchema = Joi.object().keys({
        productCode: Joi.string().required(),
        usages: Joi.array().items(usageSchema).required()
    }).length(2);
    return Joi.array().items(productUsagesSchema).required();
};

module.exports = usagesPerProductSchema();
