(function(){
    const portalBasePath = /**PORTALBASEPATH**/window.location.protocol + "//portal.netapp.io:3000";//portal.netapp.io:8081";/**PORTALBASEPATH**/

    const loadUrl = portalBasePath + "/widget/index.html";

    const headerHeight = window.PortalWidget.headerHeight;
    const service = window.PortalWidget.service;
    const primaryColor = window.PortalWidget.primaryColor.replace("#", "%23");
    const fixRight = !!window.PortalWidget.fixRight;
    const disableHoverEffect = !!window.PortalWidget.disableHoverEffect;
    window.addEventListener("message", receiveMessage, false);
    let widgetWidth = 0;
    if(headerHeight.indexOf("px") > -1 || headerHeight.indexOf("em") > -1) widgetWidth = headerHeight;

    function closePopover(){
        iframe.contentWindow.postMessage({target: "portal-menu-widget", message: "menu", menuOpen: false}, "*");
    }

    function receiveMessage(event)
    {
        if (event.origin === portalBasePath || event.origin === window.location.origin){
            const message = event.data.message;
            if(message === "loaded"){
                let times = 0;
                const checkAndDo = () => {
                    times = times + 1;
                    const clientHeight = iframe.clientHeight;
                    if(widgetWidth){
                        iframe.style.width = widgetWidth;
                        iframe.contentWindow.postMessage({target: "portal-menu-widget", message: "load-ack", width: widgetWidth, parentOrigin: window.location.origin}, "*");
                    } else if(clientHeight !== 0){
                        widgetWidth = clientHeight + "px";
                        iframe.style.width = widgetWidth;
                        iframe.contentWindow.postMessage({target: "portal-menu-widget", message: "load-ack", width: widgetWidth, parentOrigin: window.location.origin}, "*");
                    } else if (times < 40) {
                        setTimeout(() => {
                            checkAndDo();
                        }, 75);
                    } else {
                        console.log("Widget load failed - iframe height can't be calculated");
                    }
                };

                checkAndDo();

            } else if(message === "set-menu"){
                const menuOpen = event.data.menuOpen;

                if(menuOpen){
                    iframe.style.width = "385px";
                    iframe.style.height = "100%";

                    document.body.addEventListener("click", closePopover);
                } else {
                    document.body.removeEventListener("click", closePopover);
                    setTimeout(function(){
                        iframe.style.width = widgetWidth;
                        iframe.style.height = headerHeight;
                    }, 400);
                }
            }
        }
    }
    const div = document.createElement("div");
    div.id = "portal-widget-frame-container";
    const iframe = document.createElement("iframe");

    const loadFrame = () => {
        iframe.src = loadUrl + "?headerHeight=" + headerHeight + "&service=" + service + "&primaryColor=" + primaryColor + (fixRight ? "&fixRight=true" : "") + (disableHoverEffect ? "&disableHoverEffect=true" : "");

        iframe.style.height = headerHeight;
        iframe.style.width = 0;
        iframe.style.position = "fixed";
        iframe.style.top = 0;

        if(fixRight) {
            iframe.style.right = 0;
        } else {
            iframe.style.left = 0;
        }

        iframe.style.border = "none";
        iframe.style.zIndex = 2147483647;
        div.appendChild(iframe);
        document.body.appendChild(div);
    };

    if(document.readyState === "loading"){
        document.addEventListener("DOMContentLoaded", () => {
            loadFrame();
        });
    } else {
        loadFrame();
    }
}());