const _ = require('lodash');

const merge = (output, batchResults) => {
    batchResults.forEach(batchRes => {
        if(batchRes.isBroken) {output.broken[`${batchRes.rootLink.url}`] = [batchRes.rootLink.parentUrl]}
        if(batchRes.isStaging) {output.staging[`${batchRes.rootLink.url}`] = [batchRes.rootLink.parentUrl]}
        if(batchRes.isPuppeteerError) output.puppeteerError.push(batchRes.rootLink);
        batchRes.hrefs.forEach(ref => {
            if(_.has(output.broken, ref.url)) {output.broken[`${ref.url}`].push(ref.parentUrl)}
            if(_.has(output.staging, ref.url)) {output.staging[`${ref.url}`].push(ref.parentUrl)}
        });
        output.notVisited = _.concat(output.notVisited, batchRes.hrefs);
        output.notVisited = _.uniqBy(output.notVisited, 'url');
        output.notVisited = output.notVisited.filter(href => {
            // eslint-disable-next-line lodash/matches-prop-shorthand
            return !_.some(output.visited, (visited) => {
                return visited.url === href.url;
            })
        });
    });
};

exports.merge = merge;