import React from 'react';
import { connect } from 'react-redux'
import {Link} from 'react-router-dom';
import styles from 'ui-components/src/header/AppHeader.module.scss';
import {ReactComponent as NetAppLogo} from "ui-components/src/images/netapp-services/netapp-logo.svg";

const Maintenance = () => <div>
  Maintenance goes here
</div>;

const Header = ({auth}) => <header className={styles.base}>
    <Link title="NetApp logo" to="/" className={styles.logo}><NetAppLogo/></Link>

    <button style={{float: "right"}} onClick={() => {
        window.auth.logout();
    }}>Log Out</button>
    <span style={{float: "right", color: "#fff"}}>
        <span className="text-ellipsis" style={{display: "inline-block", maxWidth: "80px"}}>{auth.firstName}</span>
    </span>
</header>;

const App = ({auth}) => {
    return <div>
        <Header auth={auth}/>
        {!auth.scopes["cc:maintenance"] && <div>
            Sorry buddy... no permissions.
        </div>}
        {auth.scopes["cc:maintenance"] && <div>
            <Maintenance/>
        </div>}
    </div>;
};

const Wrapper = ({ auth }) => {
  if(auth.authenticating) {
    return <div>
        Loading...
    </div>
  } else if (auth.authenticated) {
        return <App auth={auth}/>
  } else {
      window.auth.loginRedirect({}, { service: "portal", startOnSignup: false }, { pathname: window.location.pathname + window.location.search });
  }
};

const mapStateToProps = state => {
    return {
        auth: state.auth,
    };
};
export default connect(mapStateToProps)(Wrapper);
