import { createStore, applyMiddleware, compose } from 'redux'
import { createBrowserHistory } from 'history'
import createRootReducer from './reducers'
import authMiddleware from "./middlewares/authMiddleware"

export const history = createBrowserHistory();

const initialState = {};

const middleware = [
    authMiddleware
];

const composedEnhancers = compose(
    applyMiddleware(...middleware)
);

const store = createStore(
    createRootReducer(),
    initialState,
    composedEnhancers
);

export default store