import React from 'react';
import styles from 'ui-components/src/header/AppHeader.module.scss';
import { ReactComponent as NetAppLogo } from 'ui-components/src/images/netapp-services/netapp-logo.svg';
import HeaderWidgets from './header-widgets/HeaderWidgets'
import ExternalLink from './widgets/ExternalLink'
import { NavMenuButton } from './../components/nav-menu/NavMenu'

export default ({hideWidgets}) =>
    (
        <header className={styles.base}>
            {!hideWidgets && <NavMenuButton/>}
            <ExternalLink title="NetApp logo" className={styles.logo} linkKey="marketingPageRedirect"><NetAppLogo/></ExternalLink>

            {!hideWidgets && <HeaderWidgets/>}
        </header>
    );