import React from "react";
import classNames from "classnames";
import styles from "./Accounts.module.scss"
import { adjustPopupToBeInViewport } from "./AccountManagementUtils"

class AssociatedWorkspacesPopUp extends React.Component {
    constructor(props) {
        super(props);

        this.associatedWorkspacesPopUp = React.createRef();
    }

    componentDidMount() {
        adjustPopupToBeInViewport(this.associatedWorkspacesPopUp.current, 20);
    }

    render() {
        return (
            <div className={styles['popup-overlay']} onClick={() => this.props.closeAssociatedWorkspacesPopUp()}>
                <div className={classNames(styles['popup'], styles['associated-workspaces-popup'])}
                     ref={this.associatedWorkspacesPopUp}
                     style={{
                         top: this.props.baseTop + (this.props.rowHeight * this.props.rowIndex),
                         left: this.props.left
                     }}>
                    {this.props.workspacesList.map(workspace => (
                        <div title={workspace.workspaceName}
                             key={workspace.workspacePublicId}>{workspace.workspaceName}</div>
                    ))}
                </div>
            </div>);
    }
}

export default AssociatedWorkspacesPopUp;
