import React from "react";
import { ReactComponent as CaretDownIcon } from "ui-components/src/images/monochrome-icons/ic-caret-down.svg";
import styles from "./Accounts.module.scss";

const generateWorkspacesDisplayString = (workspaces, role = 'Role-2') => {
    if (!workspaces.length && role === 'Role-1') return (<span>All Workspaces</span>);
    if (!workspaces.length && role === 'Role-2') return (<span>None</span>);
    if (workspaces.length === 1) {
        return (<span className={styles["first-workspace-name"]}
                      title={workspaces[0].workspaceName}>{workspaces[0].workspaceName}</span>);
    }

    return (<span>
        <span className={styles["first-workspace-name"]}
              title={workspaces[0].workspaceName}>{workspaces[0].workspaceName}</span>
        <span>&nbsp;{` + ${workspaces.length - 1}`}</span>
        <CaretDownIcon/>
    </span>);
};

// This must be a class component, not a function, in order to refresh properly upon changes.
// Read more here: https://www.ag-grid.com/javascript-grid-cell-rendering-components/
class WorkspacesCellRenderer extends React.Component {
    render() {
        return (
            <div className={styles["workspaces-cell"]}
                 style={{ cursor: this.props.data.workspaces.length > 1 ? 'pointer' : '' }}
                 onClick={() => (this.props.data.workspaces.length > 1) && this.props.context.openAssociatedWorkspacesPopUp({
                     data: this.props.data,
                     rowIndex: this.props.context.getRowFilteredIndex(this.props)
                 })}>
                {generateWorkspacesDisplayString(this.props.data.workspaces, this.props.data.userRole)}
            </div>
        );
    }
}

export default WorkspacesCellRenderer;
