import React from 'react'
import CloudAssessmentCredentialsAws from "./CloudAssessmentCredentialsAws"
import { connect } from 'react-redux'
import PendingContainer from "./PendingContainer"
import AwsSummaryContainer from "./AwsSummaryContainer"

const CloudAssessmentViewAws = ({stage, summary}) => {
    return <div>
        {stage === "CREDENTIALS" && <CloudAssessmentCredentialsAws/>}
        {stage === "PENDING" && <PendingContainer/>}
        {stage === "SUMMARY" && <AwsSummaryContainer summary={summary}/>}
    </div>
};

const mapStateToProps = state => {
    return {
        stage: state.cloudAssessment.stage,
        summary: state.cloudAssessment.summary
    };
};

export default connect(mapStateToProps)(CloudAssessmentViewAws);