import React from 'react';

const SalesPoint = ({Icon, title, text}) => <div className="sales-point">
    <div><Icon/>{title}</div>
    <p>{text}</p>
</div>;

export default ({leftPoints, rightPoints}) => <div className="sales-points">
    <div className="saving-sales-points">
        <h4>How will NetApp help you save?</h4>
        {leftPoints.map(({Icon, title, text}) => <SalesPoint key={title} Icon={Icon} title={title} text={text}/>)}
    </div>

    <div className="protection-sales-points">
        <h4>How will NetApp protect your data?</h4>
        {rightPoints.map(({Icon, title, text}) => <SalesPoint key={title} Icon={Icon} title={title} text={text}/>)}
    </div>
</div>