import React from 'react';
import { ReactComponent as AssessmentIcon } from 'ui-components/src/images/2-colors-icons/ic-assessments.svg';
import { ReactComponent as ChevronBullet } from 'ui-components/src/images/monochrome-icons/bullet-chevron-icon.svg';
import ExternalLink from "./../widgets/ExternalLink";


export default () => {
    return <div className="sales-tools-main service-view">
        <h4 className="service-title"><AssessmentIcon className="service-icon-large"/>On-Prem Assessments</h4>

        <div className='accelerate-content'>
            <p>Customers need help to realize their Cloud transition goals.  Become the data authority by accelerating their journey to Cloud with workload recommendations for Cloud Volumes Services.</p>

            <p>Cloud Accelerate analyzes ActiveIQ data to tailor Cloud Volume Services value propositions based on application usage and hyperscaler comparisons.  Identify workloads and collaborate with your customer on which to try first with Cloud Volume Services.</p>

            <p className='subtitle'> Get recommendations and improved understanding of the current environment, and help our customers evolve into the Data Fabric.</p>

            <div className="bullet"><ChevronBullet/>Data driven customer awareness - understand the Cloud opportunity for your territory</div>
            <div className="bullet"><ChevronBullet/>Account summary and battle cards aligned for the right messaging Identifying specific applications and workloads</div>
            <div className="bullet"><ChevronBullet/>Build a value proposition canvas - comparing costs and compatibility across various hyperscalers</div>
            <div className="bullet"><ChevronBullet/>Inspire confidence - evidence based decisions leading to smart customer interaction</div>

            <ExternalLink linkKey="onPremAssessment.serviceURL" className='go-button'>LET'S GET STARTED</ExternalLink>

        </div>

    </div>
};

