export default {
    productName: 'Azure NetApp Files',
    contactMail: "azure-sales@netapp.com",
    technicalDocumentation: "https://docs.microsoft.com/en-us/azure/azure-netapp-files/",
    onPremAssessment: "https://ca.netapp.com/",
    demo: "https://fieldportal.netapp.com/content/812896?assetComponentId=814527",
    gettingStarted: [
        {
            title: "I need to learn the value of the service",
            agenda: `
* View product videos
* Read solution briefs and whitepapers
* Read blog posts`,
            link: "/netapp-internal/cloud-volumes-service/azure/customer-content",
        },
        {
            title: "I need to learn how to pitch the service",
            agenda: `
* View sales guides and training
* Lead qualifying conversations
* Ask common seller questions`,
            link: "/netapp-internal/cloud-volumes-service/azure/sales-tools",
        },
        {
            title: "I need to give a presentation",
            agenda: `
* Download a customer deck`,
            link: "/netapp-internal/cloud-volumes-service/azure/sales-tools?card=Customer Presentation: Azure NetApp Files",
        },
        {
            title: "I need to give a demo",
            agenda: `
* Access a live demo environment`,
            linkKey: "internal.sales.cloudVolumesService.cloudVolumesServiceAzure.demo",
            href: "https://fieldportal.netapp.com/content/812896?assetComponentId=814527"
        },
        {
            title: "I need to place an order",
            agenda: `
* Create an opportunity
* Understand how I get paid
* Know if my customer is using the service`,
            link: "/netapp-internal/cloud-volumes-service/azure/sales-tools?card=Sales FAQ: Azure NetApp Files"
        },
        {
            title: "I need to understand",
            agenda: `
* How do I get paid`,
            linkKey: "internal.sales.cloudVolumesService.cloudVolumesServiceAzure.HowDoIGetPaid",
            href:"https://netapp.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=2c96974b-0ef7-4b3c-9c4b-a97d01766edc"
        },
        {
            title: "I need to get more partner help",
            agenda: `
* Learn about the CloudFirst Partner program
* Understand how parners make money`,
            link: "/netapp-internal/cloud-volumes-service/azure/sales-tools?card=CloudFirst Partner Program Guide",
        },
        {
            title: "I need to get more seller help",
            agenda: `
* Contact the NetApp Azure Files sales team
* Learn how to work with Azure`,
            contactMail: "azure-sales@netapp.com",
        },
        {
            title: "I need to know what's coming",
            agenda: `
* New roadmap capabilities
* New cloud regions coming`,
            link: "/netapp-internal/cloud-volumes-service/azure/sales-tools?card=Azure NetApp Files Product Roadmap",
        }
    ],
    whatsNew: [
        {
            title: "Linux File Services and Linux Databases - Workload Content",
            agenda: `
* New customer-facing benchmarks, blogs and content for workloads on Azure NetApp Files`,
            link: "/netapp-internal/cloud-volumes-service/azure/customer-content?card=Solution Brief: Azure NetApp Files",
        },
        {
            title: "Linux File Services and Linux Databases - Workload Selling Tools",
            agenda: `
* New seller presentation decks, guides, scripts for workloads on Azure NetApp Files`,
            link: "/netapp-internal/cloud-volumes-service/azure/sales-tools",
        }
    ],
    customerContent: [
        {
            title: 'Video: Linux File Services on Azure NetApp Files',
            tags: ["Mar 2019", "Video"],
            description: 'This video walkthrough covers setting up and using Azure NetApp Files for Linux File Services workloads',
            linkKey: 'internal.sales.cloudVolumesService.azure.customerContent.VideoLinuxFileServicesOnAzureNetAppFiles',
            href: "https://cloud.netapp.com/hubfs/anf-demo.mp4"
        },
        {
            title: 'Linux File Services on Azure NetApp Files Benchmarks',
            tags: ["Mar 2019", "Benchmark"],
            description: 'Published benchmarks on Cloud Central for Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.customerContent.LinuxFileServicesOnAzureNetAppFilesBenchmarks',
            href: "https://cloud.netapp.com/cloud-volumes-service/azure-benchmarks"
        },
        {
            title: 'Azure NetApp Files – Performance So Good You’ll Think You’re On Premises',
            tags: ["Mar 2019", "Blog"],
            description: 'Public blog post on technical performance of Azure NetApp Files for Linux File Services workloads',
            linkKey: 'internal.sales.cloudVolumesService.azure.customerContent.AzureNetAppFilesPerformanceSoGoodYouWillThinkYouAreOnPremises',
            href: "https://cloud.netapp.com/blog/azure-netapp-files-performance-so-good-youll-think-youre-on-premises"
        },
        {
            title: 'How Linux is Winning in the Azure Cloud for Tier One Workloads',
            tags: ["Mar 2019", "Blog"],
            description: 'Public blog post on Linux File Services workloads on Azure NetApp Files for Microsoft Azure cloud',
            linkKey: 'internal.sales.cloudVolumesService.azure.customerContent.HowLinuxIsWinningInTheAzureCloudForTierOneWorkloads',
            href: "https://blog.netapp.com/how-linux-is-winning-in-the-azure-cloud-for-tier-one-workloads/"
        },
        {
            title: 'Infographic: Azure NetApp Files',
            tags: ["Oct 2018", "Infographic"],
            description: 'This infographic concisely summarizes benefits of using Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.customerContent.InfographicAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/812873?assetComponentId=814504"
        },
        {
            title: 'Solution Brief: Azure NetApp Files',
            tags: ["Nov 2018", "Brief"],
            description: 'This solution brief co-branded by NetApp and MIcrosoft provides an overview of Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.customerContent.SolutionBriefAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/819659?assetComponentId=821298"
        },
        {
            title: 'Video: Linux Databases on Azure NetApp Files',
            tags: ["Mar 2019", "Video"],
            description: 'This video covers Linux Database workloads on Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.customerContent.VideoLinuxDatabasesOnAzureNetAppFiles',
            href: "https://cloud.netapp.com/hubfs/ANF%20DEMO%202.mp4"
        },
        {
            title: 'Linux Databases on Azure NetApp Files Benchmarks',
            tags: ["Mar 2019", "Benchmark"],
            description: 'Published benchmarks on Cloud Central for Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.customerContent.LinuxDatabasesOnAzureNetAppFilesBenchmarks',
            href: "https://cloud.netapp.com/cloud-volumes-service/azure-benchmarks"
        }
    ],
    salesItems: [
        {
            title: 'Customer Presentation: Azure NetApp Files',
            tags: ["Nov 2018", "Presentation"],
            description: 'This customer presentation gives an overview of Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.CustomerPresentationAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/755882?assetComponentId=757370"
        },
        {
            title: 'Linux Files Services for Azure NetApp Files',
            tags: ["Mar 2019", "Presentation"],
            description: 'This focused customer presentation covers Linux File Service workloads on Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.LinuxFilesServicesforAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/866493?assetComponentId=868278"
        },
        {
            title: 'Linux Databases for Azure NetApp Files',
            tags: ["Mar 2019", "Presentation"],
            description: 'This focused customer presentation covers Linux Database workloads on Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.LinuxDatabasesforAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/872325?assetComponentId=874112"
        },
        {
            title: 'Sales Vignette: Linux File Services on Azure NetApp Files',
            tags: ["Mar 2019", "Guide"],
            description: 'This seller guide helps to identify and qualify Linux File Services opportunities for Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.SalesVignetteLinuxFileServicesOnAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/866494?assetComponentId=868279"
        },
        {
            title: 'Sales Qualifier: Linux File Services on Azure NetApp Files',
            tags: ["Mar 2019", "Script"],
            description: 'This qualifying script helps sellers identify opportunities for Azure NetApp Files for Linux File Services workloads',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.SalesQualifierLinuxFileServicesOnAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/874267"
        },
        {
            title: 'Sales FAQ: Azure NetApp Files',
            tags: ["Jul 2018", "FAQ"],
            description: 'This seller FAQ addresses common questions from sales teams about Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.SalesFAQAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/577468?assetComponentId=578527"
        },
        {
            title: 'Playbook: Inspire Innovation for the Cloud',
            tags: ["Jun 2018", "Playbook"],
            description: 'Advanced Value Selling Playbook for Cloud Data Services',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.PlaybookInspireInnovationForTheCloud',
            href: "https://vplaybook.com/playbook/1826/"
        },
        {
            title: 'Field Portal Collection: Azure NetApp Files',
            tags: ["Guide"],
            description: 'Browse directly  on NetApp Field Portal the entire collection of customer content and selling tools for Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.FieldPortalCollectionAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/collections/577472"
        },
        {
            title: 'Sales Vignette: Linux Databases on Azure NetApp Files',
            tags: ["Mar 2019", "Guide"],
            description: 'This seller guide helps to identify and qualify Linux Database opportunities for Azure NetApp Files',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.SalesVignetteLinuxDatabasesOnAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/874272"
        },
        {
            title: 'Sales Qualifier: Linux Databases on Azure NetApp Files',
            tags: ["Mar 2019", "Script"],
            description: 'This qualifying script helps sellers identify opportunities for Azure NetApp Files for Linux Database workloads',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.SalesQualifierLinuxDatabasesOnAzureNetAppFiles',
            href: "https://fieldportal.netapp.com/content/872327?assetComponentId=874114"
        },
        {
            title: 'Azure NetApp Files Product Roadmap',
            tags: ["Mar 2019", "Roadmap"],
            description: 'Internal product roadmap for Azure NetApp Files (NetApp field access only; no partner access)',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.AzureNetAppFilesProductRoadmap',
            href: "https://fieldportal.netapp.com/content/872413?assetComponentId=874200"
        },
        {
            title: 'CloudFirst Partner Program Guide',
            tags: ["Sep 2017", "Guide"],
            description: 'This Program Guide provides an overview of the CloudFirst Partner Program for NetApp partners',
            linkKey: 'internal.sales.cloudVolumesService.azure.salesTools.CloudFirstPartnerProgramGuide',
            href: "https://fieldportal.netapp.com/content/568934?assetComponentId=579207"
        }
    ]
};
