import _ from "lodash"
import { connect } from 'react-redux'
import store from './../../store'
import * as actions from "./../../actions";
import axios from 'axios'

const LaunchPadLoader = ({loadAll}) => {
    loadAll();
    return "";
};

const mapDispatchToProps = dispatch => {
    const fetchOccms = () => {
        const payload = axios.get("/occm/list-occms");

        payload.then(
            r => dispatch({type: "OCCMS", payload: r, status: actions.STATUS_SUCCESS}),
            e => dispatch({type: "OCCMS", payload: e, status: actions.STATUS_ERROR}));


        dispatch({
            type: "OCCMS",
            status: actions.STATUS_PENDING
        });
        return payload;
    };

    const fetchCloudSyncUserInfo = () => {
        dispatch({
            type: "LAUNCHPAD:FETCH-CLOUD-SYNC-USER-INFO"
        })
    };

    const fetchCloudInsightsUserInfo = () => {
        dispatch({
            type: "LAUNCHPAD:FETCH-CLOUD-INSIGHT-USER-INFO"
        })
    };

    const fetchCloudVolumesServiceAwsUserInfo = () => {
        dispatch({
            type: "LAUNCHPAD:FETCH-CLOUD-VOLUMES-SERVICE-AWS-USER-INFO"
        })
    };

    const fetchDefaultStates = () => {
        dispatch({
            type: "LAUNCHPAD:LOAD-SERVICE-DEFAULT-STATES"
        })
    };

    const loadAll = _.once(() => {
        const fetchOccmsRecur = () =>
            fetchOccms().then(() => {
                const cloudVolumesOntap = store.getState().services.cloudVolumesOntap;
                if(cloudVolumesOntap.status === actions.STATUS_SUCCESS && cloudVolumesOntap.data.occms.length === 1 && cloudVolumesOntap.data.occms[0].status === "initializing"){
                    setTimeout(fetchOccmsRecur, 10000);
                }
            }, () => {
                const cloudVolumesOntap = store.getState().services.cloudVolumesOntap;
                if(cloudVolumesOntap.succeededOnce){
                    setTimeout(fetchOccmsRecur, 10000);
                }
            });

        fetchDefaultStates();
        fetchOccmsRecur();
        fetchCloudSyncUserInfo();
        fetchCloudInsightsUserInfo();
        fetchCloudVolumesServiceAwsUserInfo();
    });

    return {
        loadAll
    }
};

export default connect(null, mapDispatchToProps)(LaunchPadLoader)