import React, { Component } from 'react';
import styles from 'ui-components/src/header/AppHeader.module.scss';
import HeaderWidgets from 'components/header-widgets/HeaderWidgets'
import { connect } from 'react-redux'
import * as actions from "../../actions";
import _ from "lodash";

const sendPostMessage = _.once((authenticated) => {
    window.parent.postMessage({message: "login-status", status: authenticated ? "success" : "fail"}, "*");
});

class StandaloneHeader extends Component {
    constructor(props){
        super(props);
        window.document.body.classList.add("marketing-mode")
    }

    render() {
        if (this.props.auth.status !== actions.STATUS_PENDING) return <div className={[styles.marketing, styles.header].join(' ')}>
            {sendPostMessage(this.props.auth.authenticated)}
            <HeaderWidgets marketingMode={true}/>
        </div>;
        else return <div/>;
    }
}

const mapStateToProps = state => {
    return {
        auth: state.auth
    };
};

export default connect(mapStateToProps)(StandaloneHeader);
