const links = {
    marketingPageRedirect: process.env.REACT_APP_HOMEPAGE_REDIRECT,
    mainNav: {
        statusPage: "https://status.services.cloud.netapp.com",
        cloudAdvisor: process.env.REACT_APP_ON_PREM_ASSESSMENT_BASE_URL,
        awsTcoCalculator: process.env.REACT_APP_CVO_TCO_CALCULATOR_AWS,
        azureTcoCalculator: process.env.REACT_APP_CVO_TCO_CALCULATOR_AZURE
    },
    dashboards: {
        cloudVolumesServiceAws: {
            gettingStarted: "https://docs.netapp.com/us-en/cloud_volumes/aws/concept_overview.html"
        },
        saasBackup: {
            gettingStarted: "https://docs.netapp.com/us-en/saasbackupO365/task_getting_started_free_trial.html"
        },
        cloudInsights: {
            gettingStarted: "https://docs.netapp.com/us-en/cloudinsights/task_cloud_insights_onboarding_1.html#what-if-i-already-have-a-netapp-cloud-login"
        },
        kubernetesService: {
            gettingStarted: "https://docs.netapp.com/us-en/kubernetes-service/index.html",
        },
        cloudVolumesOntap: {
            gettingStarted: "https://docs.netapp.com/us-en/occm/reference_deployment_overview.html",
            documentation: "https://docs.netapp.com/us-en/occm/",
            tcoCalculators: "https://cloud.netapp.com/tco-calculator",
            pricing: "https://cloud.netapp.com/pricing#price-aws-tab",
            api: "https://docs.netapp.com/us-en/occm/api.html",
            blog: "https://cloud.netapp.com/blog/topic/cloud-volumes-ontap",
            automationSamples: "https://github.com/edarzi/cloud-manager-automation-samples"
        },
        cloudSync: {
            gettingStarted: "https://docs.netapp.com/us-en/cloudsync/task_getting_started.html",
            api: "https://docs.netapp.com/us-en/cloudsync/reference_apis.html",
            faq: "https://cloud.netapp.com/cloud-sync-faq",
            supportedSyncRelationships: "https://docs.netapp.com/us-en/cloudsync/reference_supported_relationships.html",
            documentation: "https://docs.netapp.com/us-en/cloudsync/index.html",
            blog: "https://cloud.netapp.com/blog/topic/cloud-sync"
        }
    },
    launchPad: {
        services: {
            kubernetesService: process.env.REACT_APP_KUBERNETES_SERVICE_BASE_URL,
            kubernetesServiceBackend: process.env.REACT_APP_KUBERNETES_SERVICE_API_URL,
            cloudInsights: process.env.REACT_APP_OCI_LINK_URL,
            cloudInsightsBackend: process.env.REACT_APP_OCI_API_URL,
            saasBackup: process.env.REACT_APP_SAAS_BACKUP_BASE_URL,
            cloudSync: process.env.REACT_APP_CLOUD_SYNC_BASE_URL,
            cloudSyncBackend: process.env.REACT_APP_CLOUD_SYNC_BASE_URL,
            occmSetupService: process.env.REACT_APP_OCCM_SERVICE_BASE_URL,
            cloudVolumesServiceAzurePreview: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AZURE_PREVIEW_URL,
            cloudVolumesServiceGooglePreview: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_GOOGLE_PREVIEW_URL,
            cloudVolumesServiceAwsPreview: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AWS_PREVIEW_URL,
            cloudVolumesServiceAws: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AWS_LINK_URL,
            cloudVolumesServiceAwsBackend: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AWS_API_URL,
            cloudBackupPreview: process.env.REACT_APP_CLOUD_BACKUP_PREVIEW_URL,
            cloudSecure: process.env.REACT_APP_CLOUD_SECURE_BASE_URL,
            cloudSecurePreview: process.env.REACT_APP_CLOUD_SECURE_PREVIEW_URL,
            cloudTiering: process.env.REACT_APP_CLOUD_TIERING_BASE_URL,
            agentsManagementBackend: process.env.REACT_APP_AGENTS_API_URL,
            tenancyBackend: process.env.REACT_APP_TENANCY_API_URL,
            cloudVolumesOntapBackend: process.env.REACT_APP_CVO_API_URL
        },
        marketing: {
            kubernetesService: process.env.REACT_APP_KUBERNETES_SERVICE_MARKETING_URL,
            cloudInsights: process.env.REACT_APP_OCI_MARKETING_URL,
            cloudSync: process.env.REACT_APP_CLOUD_SYNC_MARKETING_URL,
            saasBackup: process.env.REACT_APP_SAAS_BACKUP_MARKETING_URL,
            ontapCloud: process.env.REACT_APP_ONTAP_CLOUD_MARKETING_URL,
            cloudVolumes: process.env.REACT_APP_CLOUD_VOLUMES_MARKETING_URL,
            cloudVolumesServiceAws: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AWS_MARKETING_URL,
            cloudVolumesServiceGcp: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_GCP_MARKETING_URL,
            cloudVolumesServiceAzure: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AZURE_MARKETING_URL,
            cloudBackup: process.env.REACT_APP_CLOUD_BACKUP_MARKETING_URL,
            cloudSecure: process.env.REACT_APP_CLOUD_SECURE_MARKETING_URL,
            cloudTiering: process.env.REACT_APP_CLOUD_TIERING_MARKETING_URL
        }
    },
    cloudAssessment: {
        credentials: {
            azureRolesDocumentation: "https://docs.microsoft.com/en-us/azure/role-based-access-control/role-assignments-portal",
            awsIamDocumentation: "http://docs.aws.amazon.com/IAM/latest/UserGuide/PoliciesOverview.html",
            awsManagingIamDocumentation: "http://docs.aws.amazon.com/IAM/latest/UserGuide/ManagingPolicies.html"
        },
        summary: {
            startCloudVolumesServiceAzure: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AZURE_PREVIEW_URL,
            startCloudVolumesServiceAws: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AWS_PREVIEW_URL,
            startCloudVolumesService: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AWS_PREVIEW_URL,
            readMoreCloudVolumesServiceAws: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AWS_MARKETING_URL,
            readMoreCloudVolumesServiceAzure: process.env.REACT_APP_CLOUD_VOLUMES_SERVICE_AZURE_MARKETING_URL,
            startCloudVolumesOntap: process.env.REACT_APP_OCCM_SERVICE_BASE_URL,
            readMoreCloudVolumesOntap: process.env.REACT_APP_ONTAP_CLOUD_MARKETING_URL,
            readMoreCloudVolumes: process.env.REACT_APP_CLOUD_VOLUMES_MARKETING_URL,
            awsTcoCalculator: "https://cloud.netapp.com/tco-calculator",
            azureTcoCalculator: "https://cloud.netapp.com/azure-calculator"
        }
    },
    onPremAssessment: {
        serviceURL: process.env.REACT_APP_ON_PREM_ASSESSMENT_BASE_URL
    },
    internal: {
        sales: {
            globalsAmericasSpiffProgramDetails: "https://fieldportal.netapp.com/content/851524",
            globalsAmericasSpiffCloudVolumesDetails: "https://fieldportal.netapp.com/collections/849159",
            cloudFirstPartnersLink: "https://fieldportal.netapp.com/explore/results?k=Cloud%20First%20Partner",
            CDSProductCommissionsFAQLink: "https://fieldportal.netapp.com/content/750176",
            cloudCentralTutorialLink: "https://netapp.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=89ae370b-20f8-468c-aa56-a8e9015b8a7e",
            hyperscalerCommissions: "https://netapp.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=2c96974b-0ef7-4b3c-9c4b-a97d01766edc",
            cloudVolumesService: {
                salesTools: {
                    cloudFirstPartnersProgramGuide: "https://fieldportal.netapp.com/content/568934?assetComponentId=579207",
                    cloudFirstPartnersPortalOverview: "https://fieldportal.netapp.com/content/593531?assetComponentId=594614",
                    cloudFirstPartnersPortal: "https://fieldportal.netapp.com/explore/623558",
                    industryEssentialsCloudComputing: "https://netapp.sabacloud.com/Saba/Web_spf/NA1PRD0047/common/leclassview/dowbt-00372407",
                    dataServicesFundamentals: "https://netapp.sabacloud.com/Saba/Web_spf/NA1PRD0047/common/leclassview/dowbt-00371904",
                    integratingHybridCloudsWithDataFabric: "https://netapp.sabacloud.com/Saba/Web_spf/NA1PRD0047/common/ledetail/STRSW-ILT-INTHCDF",
                    sellingCloudVolumesService: "https://fieldportal.netapp.com/content/855219?assetComponentId=856979"
                }
            },
            cloudVolumesONTAP: {
                cloudVolumesONTAPFAQLink: "https://fieldportal.netapp.com/content/203111",
                cloudVolumesONTAPFundamentalsLink: "http://learningcenter.netapp.com/LC?ObjectType=WBT&ObjectID=00368390",
                salesTools: {
                    cloudVolumesOntapPresentationForCustomersJune2018: "https://fieldportal.netapp.com/content/745322",
                    cloudVolumesOntapSePresentationNovember2017: "https://fieldportal.netapp.com/content/597449",
                    cloudVolumesOntapQuickReferenceGuide: "https://fieldportal.netapp.com/content/462071",
                    cloudVolumesOntapOverview: "https://www.youtube.com/watch?v=Ny_7T04SP8k&t=6s",
                    awsUseCasesWithCloudVolumesOntap: "https://cloud.netapp.com/aws-use-cases-with-ontap-cloud-lp",
                    netAppCloudVolumesOntapForMicrosoftAzure: "https://cloud.netapp.com/ontap-microsoft-azure-enterprise-data-management-ebook/",
                    cloudVolumesOntapWebinarsAndVideos: "http://tv.netapp.com/search?q=ontap%20cloud&page=1",
                    competitiveComparisonOfCloudVolumesOntapAndPureStorageAws: "https://fieldportal.netapp.com/content/828526?assetComponentId=830171",
                    cloudVolumesOntapVsAwsFsx: "https://fieldportal.netapp.com/content/846628"
                },
                training: {
                    cloudVolumesOntapFundamentals: "https://netapp.sabacloud.com/Saba/Web_spf/NA1PRD0047/common/leclassview/dowbt-00368390",
                    cloudVolumesOntapDeploymentAndManagementForAzure: "https://netapp.sabacloud.com/Saba/Web_spf/NA1PRD0047/common/ledetail/cours000000000029307",
                    netAppCloudVolumesOntapUnderstandingTheBusinessValueAndUseCases: "https://netapp.sabacloud.com/Saba/Web_spf/NA1PRD0047/common/leclassview/dowbt-00360899",
                    technicalOverviewOfCloudVolumesOntap: "https://netapp.sabacloud.com/Saba/Web_spf/NA1PRD0047/common/leclassview/dowbt-00364688"
                }
            },
            cloudSync: {
                cloudSyncFAQLink: "https://cloud.netapp.com/cloud-sync-faq",
                cloudSyncBusinessValueAndUseCasesLink: "http://learningcenter.netapp.com/LC?ObjectType=WBT&ObjectID=00368416",
                salesTools: {
                    cloudSyncCustomerDeck: "https://fieldportal.netapp.com/content/597691",
                    cloudSyncSePresentation: "https://fieldportal.netapp.com/content/582892",
                    cloudSyncServiceSolutionBrief: "https://fieldportal.netapp.com/content/451947",
                    cloudSyncServiceQuickReferenceGuide: "https://fieldportal.netapp.com/content/451951?assetComponentId=452613",
                    cloudSyncCustomerStories: "https://fieldportal.netapp.com/content/598295?assetComponentId=599407",
                    eBookNetAppCloudSyncService: "https://cloud.netapp.com/hubfs/Cloud%20Sync/NetApp%20Cloud%20Sync%20eBook.pdf?t=1513765793386",
                    useCaseDataMigration: "https://cloud.netapp.com/aws-oct12-webinar-us-ty"
                }
            },
            cloudInsights: {
                cloudInsightsFAQLink: "https://fieldportal.netapp.com/content/746710?assetComponentId=748175",
                salesTools: {
                    salesTools: "https://netapp.sharepoint.com/sites/CloudDataServices/CloudInsightsProduct/Cloud%20Insights%20Marketing%20Documents/Forms/AllItems.aspx?viewpath=%2Fsites%2FCloudDataServices%2FCloudInsightsProduct%2FCloud%20Insights%20Marketing%20Documents%2FForms%2FAllItems%2Easpx"
                }
            },
            saasBackup: {
                saasBackupFAQLink: "https://fieldportal.netapp.com/content/535877",
                salesTools: {
                    "123deckSaaSBackupFormerlyCloudControlIn3Minutes": "https://fieldportal.netapp.com/content/544174",
                    sellingAndPositioningNetAppSaaSBackupFormerlyCloudControlForMicrosoftOffice365: "https://fieldportal.netapp.com/content/527270",
                    saaSBackupFormerlyCloudControlForOffice365LicensingGuide: "https://fieldportal.netapp.com/content/529689",
                    forresterBackUpYourSaaSData: "https://fieldportal.netapp.com/content/636155",
                    ransomwareOffice365AndYourSaaSDataAreYouProtected: "https://fieldportal.netapp.com/content/569052",
                    saasBackupCourse: "http://learningcenter.netapp.com/LC?ObjectType=WBT&ObjectID=00357932"
                }
            },
            kubernetesService: {
                launchDeckLink: "https://fieldportal.netapp.com/content/806120",
                pressReleaseLink: "https://www.netapp.com/us/company/news/press-releases/news-rel-20180918-3539848.aspx",
                salesTools: {
                    nksVsPks: "https://fieldportal.netapp.com/content/853704",
                    googleAnthos: "https://fieldportal.netapp.com/content/883738?assetComponentId=885547?"
                }
            },
            cloudBackupService: {
                cloudBackupFAQLink: "https://fieldportal.netapp.com/content/849959",
                salesTools: {
                    cloudBackupService101: "https://fieldportal.netapp.com/content/843305",
                    cloudBackupServiceCustomerPresentation: "https://fieldportal.netapp.com/content/843436",
                    netAppCloudBackupServiceComparisonWithAwsBackup: "https://fieldportal.netapp.com/content/843311",
                    cloudBackupServiceDemo: "https://fieldportal.netapp.com/content/843304",
                }
            },
            cloudTiering: {
                cloudTieringFAQLink: "https://fieldportal.netapp.com/content/854938",
                salesTools: {
                    servicePresentation: "https://fieldportal.netapp.com/content/854932",
                    salesGuide: "https://fieldportal.netapp.com/content/855206",
                    introductionForEmployees: "https://netapp.zoom.us/recording/share/3845vET7IS7UknHIIXclKVArF5fUFETvWltcy0z7dgawIumekTziMw"
                }
            }
        }
    },
    developerHub: {
        cloudCentralApiDoc: "/api-doc",
        cloudSyncApiDoc: process.env.REACT_APP_CLOUD_SYNC_API_DOC_URL,
        ontapCloudApiDoc: "https://docs.netapp.com/us-en/occm/api.html",
        cloudVolumesServiceAwsApiDoc: "https://app.swaggerhub.com/apis/NetApp-Cloud/c-vaa_s/"
    },
    community: {
        facebook: "https://www.facebook.com/netappcloudsolutions/",
        youtube: "https://www.youtube.com/playlist?list=PLdXI3bZJEw7lnoRo8FBKsX1zHbK8AQOoT",
        community: "http://community.netapp.com/t5/Hybrid-Cloud-Discussions/bd-p/hybrid-cloud-discussions",
        events: "https://cloud.netapp.com/events",
        blog: "https://cloud.netapp.com/blog"
    },
    developers: {
        registerToDistributionList: "mailto:neat@netapp.com?subject=Add Self&body=ng-cloud-central-updates",
        clientManagement: {
        crossOriginAuthentication: "https://auth0.com/docs/cross-origin-authentication",
            webMessageResponseMode: "https://auth0.com/docs/protocols/oauth2#how-response-mode-works",
            logout: "https://auth0.REACT_APP_STAGEcom/docs/logout"
        },
        storybook: `/storybook/index.html`
    },
    demos: {
        cloudTiering: "https://demo.tiering.cloud.netapp.com"
    }
};

if(process.env.REACT_APP_STAGE !== "prod"){
    const overrideCloudInsights = sessionStorage.getItem("cloudCentral.overrideLink.launchPad.services.cloudInsights");
    if(overrideCloudInsights){
        links.launchPad.services.cloudInsights = overrideCloudInsights;
        links.launchPad.services.cloudInsightsBackend = overrideCloudInsights;
    }
}

export default links;