import * as actions from "../actions";
const _ = require('lodash');


/*eslint default-case: 0*/

const defaultState = () => ({status: actions.STATUS_PENDING});

const extractFirstName = (fullName) => (fullName || "").trim().split(" ")[0];

export default (state = defaultState(), {payload, type}) => {
    switch (type){
        case "AUTH:REFRESH-SSO-SUCCESS": {
            const isNetAppInternal = payload.idTokenPayload["http://cloud.netapp.com/internal"] === "NetApp";
            const firstName = extractFirstName(payload.idTokenPayload["http://cloud.netapp.com/user_metadata"].name);
            // TODO: This eslint-diasble is necessary because of limitation in eslint-plugon-lodash, I opened an issue
            // for this case: https://github.com/wix/eslint-plugin-lodash/issues/199
            // eslint-disable-next-line lodash/path-style
            const email = _.get(payload, ["idTokenPayload", "http://cloud.netapp.com/user_metadata", "email"]);
            const scopeArr = (payload.scope || "").split(" ");
            const userId = _.get(payload, "idTokenPayload.sub");
            const redirecting = payload.paramsForUI.continueToCvoTrial || payload.paramsForUI.continueToCvoTrial2;

            return {
                status: actions.STATUS_SUCCESS,
                userId,
                accessToken: payload.accessToken,
                authenticated: true,
                data: payload.idTokenPayload,
                firstName,
                scopes: _(scopeArr).keyBy().mapValues(_.constant(true)).value(),
                isNetAppInternal,
                email,
                redirecting
            };
        }
        case "AUTH:REFRESH-SSO-FAILED": {
            return { status: actions.STATUS_ERROR, authenticated: false};
        }
        case "AUTH:NO-AUTH": {
            return { status: "NO-AUTH", authenticated: false};
        }
        case "USER:UPDATE-INFO": {
            const firstName = extractFirstName(payload.newName);
            return { ...state, firstName , data: { ...state.data, "http://cloud.netapp.com/user_metadata": {...state.data["http://cloud.netapp.com/user_metadata"], name: payload.newName}}}
        }
    }

    return state;
};
