import * as actions from "./../actions"
import _ from "lodash"
/*eslint default-case: 0*/

export default (state = {occmTokenStatus: actions.STATUS_PENDING, services: [], servicesShowCount: -1}, { payload, type }) => {
    switch(type){
        case "FABRIC-VIEW:INITIALIZE": {
            return { ...state, servicesCount: payload.servicesCount}
        }
        case "FABRIC-VIEW:FETCH-OCCM-TOKEN-SUCCESS": {
            return { ...state, occmTokenStatus: actions.STATUS_SUCCESS,  occmAccessToken: payload.accessToken, occms: payload.occms};
        }
        case "FABRIC-VIEW:FETCH-OCCM-TOKEN-FAILED": {
            return { ...state, occmTokenStatus: actions.STATUS_ERROR };
        }
        case "FABRIC-VIEW:ALL-LOADED": {
            return {...state, servicesLoaded: true, services: _.sortBy(state.services, service => {
                if(service.data) return -9999999 + service.order;
                return service.order;
            })};
        }
        case "FABRIC-VIEW:UPDATE-SERVICE": {
            return {...state, services: _.concat(state.services, payload)};
        }
        case "FABRIC-VIEW:UPDATE-SERVICE-DATA": {
            const {serviceKey, dataKey, data} = payload;
            return {...state, services: state.services.map(existingService => {
                    if(existingService.key === serviceKey) return {...existingService, data: {...existingService.data, [dataKey]: data}};
                    else return existingService;
                })};
        }
        case "FABRIC-VIEW:SHOW-COUNT": {
            return {...state, servicesShowCount: payload.index}
        }
    }
    return state;
};