import * as actions from "../actions";
import _ from "lodash";

/*eslint default-case: 0*/

const defaultState = () => ({status: actions.STATUS_PENDING});

export default (state = defaultState(), {payload, type, status}) => {
    switch(type){
        case "NOTIFICATIONS:FETCH-SUCCESS": {
            const notificationList = payload.data.Items.sort((a,b) => b.createDate - a.createDate);
            let newNotificationCount = 0;
            notificationList.forEach(notification => {if (notification.visibility === 'new') newNotificationCount++;});
            return {status: actions.STATUS_SUCCESS, data: notificationList, newNotificationCount };
        }
        case "NOTIFICATIONS:DELETE": {
            const notificationsList = state.data;
            return {...state, data: _.without(notificationsList, payload)};
        }
        case "NOTIFICATIONS:CLEAR": {
            return {...state, data: [], newNotificationCount: 0}
        }
    }
    return state;
};